package cn.sh.stc.sict.cloud.common.core.exception;

import lombok.NoArgsConstructor;

/**
 * @Description 403 授权拒绝
 * @Author
 * @Date
 */
@NoArgsConstructor
public class SictDeniedException extends RuntimeException {
	private static final long serialVersionUID = 1L;

	public SictDeniedException(String message) {
		super(message);
	}

	public SictDeniedException(Throwable cause) {
		super(cause);
	}

	public SictDeniedException(String message, Throwable cause) {
		super(message, cause);
	}

	public SictDeniedException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);
	}

}
